namespace eval pfon {


proc hz2st {hz {k 440}} {
	if [string is integer $k] {set k $k.0}
	set log2 [expr log($hz / $k) / log(2)]
	return [expr 12 * $log2]
}

proc hz2qt {hz {k 440}} {
	if [string is integer $k] {set k $k.0}
	set log2 [expr log($hz / $k) / log(2)]
	return [expr 24 * $log2]
}


}

namespace eval tg {

proc readTextGrid {file} {
	variable textgrid
	
	#apri il file e lo legge
	if [catch {open $file r} f] {
		return ""
	}
	set textgrid [read $f]
	close $f
	
	#in ogni riga cerca se inizia un nuovo tier
	foreach riga [split $textgrid \n] {
		if {[regexp {name = "(.*)"} $riga tutto nome_tier]} {
			lappend tiers $nome_tier
		}
	}
	
	return $tiers
}


}
